Page MenuHomePhabricator

Define KPIs and other interesting maps statistics
Closed, ResolvedPublic

Description

We need to establish what kind of information we would like to gather to track and improve maps. That includes both "editing" (e.g. how many Wikipedia pages have <maplink> or <mapframe>), and "reading" (e.g. how many times readers interacted with the map or navigated to other articles from the map).

Event Timeline

Yurik created this task.Aug 29 2016, 9:20 PM
Restricted Application added a project: Discovery. · View Herald TranscriptAug 29 2016, 9:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

A few months ago I did a brainstorming and put some ideas on paper. The notes were saved on mediawiki, available at https://www.mediawiki.org/wiki/Wikimedia_Interactive_Team/Maps_Analytics_and_Design_Research .
Let's review it and create phabricator tasks :)

MaxSem claimed this task.Sep 2 2016, 8:59 PM
MaxSem moved this task from Backlog to In progress on the Maps-Sprint board.
Yurik added a comment.Sep 2 2016, 9:06 PM

@MaxSem thanks!

  • How do we define "view"? A page with a <mapframe> is scrolled into the view, or a page with a <mapframe> anywhere on the page is loaded? Do we also include open events? Or those are only for <maplink>?
  • For <maplink>, do we use "interaction" event?
  • Do we send one interaction event per click/touch/drag/mouseover? It would be great to learn how much time people actually spend on using the map.
  • We need an event for "user opened a page by following a link to the map on that page" (router URL that shows up after maplink click). We might want to exclude the "back" button navigation (e.g. when user follows a link in a popup, and then decides to come back), or count them separately.
  • "mobile" - we should use "access_method" string instead, similar to hive -- "Method used to accessing the site (mobile app|mobile web|desktop)". Ideally we should use the same algorithm (Hive's UDF) that analytics is using to set this field.
  • "duration" - we need to clarify time units - seconds or milliseconds?
MaxSem added a comment.EditedSep 9 2016, 1:36 AM
  • How do we define "view"? A page with a <mapframe> is scrolled into the view, or a page with a <mapframe> anywhere on the page is loaded? Do we also include open events? Or those are only for <maplink>?

Our current GeoFeatures tracking can detect whether a map is in view, and logs based on this. I see no reason we can't use this approach here.

  • For <maplink>, do we use "interaction" event?

Yes, both maps can be interacted with.

  • Do we send one interaction event per click/touch/drag/mouseover? It would be great to learn how much time people actually spend on using the map.

Don't think separate events for every interaction are any useful.

  • We need an event for "user opened a page by following a link to the map on that page" (router URL that shows up after maplink click). We might want to exclude the "back" button navigation (e.g. when user follows a link in a popup, and then decides to come back), or count them separately.

Added action=hashopen.

  • "mobile" - we should use "access_method" string instead, similar to hive -- "Method used to accessing the site (mobile app|mobile web|desktop)". Ideally we should use the same algorithm (Hive's UDF) that analytics is using to set this field.

No way you can use the same algo. From FE perspective, it's mobile when $skin === 'minerva'.

  • "duration" - we need to clarify time units - seconds or milliseconds?

Clarified this in the description.

MaxSem moved this task from All map-related tasks to Analytics on the Maps board.Sep 23 2016, 7:16 AM
MaxSem closed this task as Resolved.Oct 12 2016, 6:13 PM